Skip to main content
GET
/
v1
/
phone-numbers
List Phone Numbers
curl --request GET \
  --url https://api.sigmamind.ai/v1/phone-numbers \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "sipPhoneNumber": 14155552671,
      "provider": "twilio",
      "inboundAgentId": "D5D0p7TUs66TTAEAx",
      "outboundAgentId": "D5D0p7TUs66TTAEAx",
      "outboundPhoneNumber": 14155552671,
      "active": true,
      "terminationSipURI": "sip.telnyx.com",
      "friendlyName": "Support Line - US"
    }
  ],
  "page": 123,
  "size": 123,
  "totalCounts": 123,
  "totalPages": 123,
  "hasNext": true,
  "hasPrevious": true
}

Authorizations

X-API-Key
string
header
required

API Key is required in header. You can find it in the settings

Query Parameters

page
integer<int32>
default:0
size
integer<int32>
default:10

Response

OK

data
object[]
page
integer<int32>
size
integer<int32>
totalCounts
integer<int64>
totalPages
integer<int32>
hasNext
boolean
hasPrevious
boolean